Mac OS X:Apple Safari < 6.2.5 / 7.1.5 / 8.0.5 多种漏洞

medium Nessus 插件 ID 82711
全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程主机包含受多种漏洞影响的 Web 浏览器。

描述

远程 Mac OS X 主机上安装的 Apple Safari 版本低于 6.2.5 / 7.1.5 / 8.0.5。因此,它受到以下漏洞的影响:

- 状态管理中存在一个缺陷,可导致“history.plist”中用户的浏览器历史记录未完全清除。(CVE-2015-1112)

- 由于未能正确验证用户提供的输入,在 WebKit 中存在多个内存损坏漏洞。
通过使用特别构建的网站,远程攻击者可利用这些问题执行任意代码。
(CVE-2015-1119、CVE-2015-1120、CVE-2015-1121、CVE-2015-1122、CVE-2015-1124)

- 当处理 FTP URL 的凭据时,Webkit 中存在一个缺陷。通过使用特别构建的网站,远程攻击者可访问其他源的资源。(CVE-2015-1126)

- 状态管理中存在一个缺陷,可造成用户在隐私模式下的浏览历史记录被编制索引。攻击者可利用此缺陷获得曾访问过的网站的信息。(CVE-2015-1127)

- 隐私浏览模式中的推送通知请求存在缺陷,可在响应通知时暴露用户的浏览历史记录。
(CVE-2015-1128)

- 客户端证书匹配中的缺陷允许远程攻击者使用特别构建的网站来跟踪用户的 web 流量。(CVE-2015-1129)

解决方案

升级到 Apple Safari 6.2.5 / 7.1.5 / 8.0.5 或更高版本。

另见

https://support.apple.com/en-us/HT204658

http://www.nessus.org/u?792fcba9

插件详情

严重性: Medium

ID: 82711

文件名: macosx_Safari8_0_5.nasl

版本: 1.5

类型: local

代理: macosx

发布时间: 2015/4/10

最近更新时间: 2019/11/22

依存关系: macosx_Safari31.nasl

风险信息

CVSS 分数来源: CVE-2015-1124

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

漏洞信息

CPE: cpe:/a:apple:safari

必需的 KB 项: Host/local_checks_enabled, Host/MacOSX/Version, MacOSX/Safari/Installed

易利用性: No known exploits are available

补丁发布日期: 2015/4/8

漏洞发布日期: 2015/3/16

参考资料信息

CVE: CVE-2015-1112, CVE-2015-1119, CVE-2015-1120, CVE-2015-1121, CVE-2015-1122, CVE-2015-1124, CVE-2015-1126, CVE-2015-1127, CVE-2015-1128, CVE-2015-1129

BID: 73972, 73973, 73974, 73975, 73976, 73977

APPLE-SA: APPLE-SA-2015-04-08-1